View Issue Details

IDProjectCategoryView StatusLast Update
0013564LazarusDebuggerpublic2010-12-20 00:39
ReporterAlexander S. KleninAssigned ToMarc Weustink 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0013564: Run/Build does not work while debugging
DescriptionIDE tries to stop debugging, but apparently fails.
Steps To Reproduce1) Run any program.
2) Select Run/Build
3) Dialog box with appears asking whether to stop debugging -- answer "Yes"
4) Build fails with "can't write to .exe" error
Additional InformationI tried to fix it, but was unable to.
Debug log contains:
  TDebugger.ReqCmd failed: Stop
  TDebugger.Stop Class=TGDBMIDebugger failed.
but why it fails, I can not see.

Attached patch does not fix the problem.
It contains minor enhancement to the dialog box and the code
for showing it.
TagsNo tags attached.
Fixed in Revision28769
LazTarget1.0
Widgetset
Attached Files
  • prepareforcompile_refactor.patch (867 bytes)
    Index: main.pp
    ===================================================================
    --- main.pp	(revision 19570)
    +++ main.pp	(working copy)
    @@ -10461,16 +10461,12 @@
     
     function TMainIDE.PrepareForCompile: TModalResult;
     begin
    -  Result:=mrOk;
    -  if ToolStatus=itDebugger then begin
    -    Result:=IDEQuestionDialog(lisStopDebugging2,
    -      lisStopCurrentDebuggingAndRebuildProject,
    -      mtConfirmation,[mrYes,mrCancel,lisNo,mrAbort],'');
    -    if Result<>mrYes then exit;
    -
    +  if ToolStatus<>itDebugger then exit(mrOk);
    +  Result:=IDEQuestionDialog(lisStopDebugging2,
    +    lisStopCurrentDebuggingAndRebuildProject,
    +    mtConfirmation,[mrYes,lisMenuStop,mrCancel],'');
    +  if Result=mrYes then
         Result:=DebugBoss.DoStopProject;
    -    if Result<>mrOk then exit;
    -  end;
     end;
     
     function TMainIDE.OnRunExternalTool(Tool: TIDEExternalToolOptions): TModalResult;
    

Activities

2009-04-23 11:05

 

prepareforcompile_refactor.patch (867 bytes)
Index: main.pp
===================================================================
--- main.pp	(revision 19570)
+++ main.pp	(working copy)
@@ -10461,16 +10461,12 @@
 
 function TMainIDE.PrepareForCompile: TModalResult;
 begin
-  Result:=mrOk;
-  if ToolStatus=itDebugger then begin
-    Result:=IDEQuestionDialog(lisStopDebugging2,
-      lisStopCurrentDebuggingAndRebuildProject,
-      mtConfirmation,[mrYes,mrCancel,lisNo,mrAbort],'');
-    if Result<>mrYes then exit;
-
+  if ToolStatus<>itDebugger then exit(mrOk);
+  Result:=IDEQuestionDialog(lisStopDebugging2,
+    lisStopCurrentDebuggingAndRebuildProject,
+    mtConfirmation,[mrYes,lisMenuStop,mrCancel],'');
+  if Result=mrYes then
     Result:=DebugBoss.DoStopProject;
-    if Result<>mrOk then exit;
-  end;
 end;
 
 function TMainIDE.OnRunExternalTool(Tool: TIDEExternalToolOptions): TModalResult;

Martin Friebe

2010-12-19 18:35

manager   ~0044388

Please test and close if ok

Alexander S. Klenin

2010-12-20 00:39

developer   ~0044398

It works, thanks. Have you decided not to apply the patch?

Issue History

Date Modified Username Field Change
2009-04-23 11:05 Alexander S. Klenin New Issue
2009-04-23 11:05 Alexander S. Klenin Status new => assigned
2009-04-23 11:05 Alexander S. Klenin Assigned To => Marc Weustink
2009-04-23 11:05 Alexander S. Klenin File Added: prepareforcompile_refactor.patch
2009-04-23 11:05 Alexander S. Klenin LazTarget => -
2009-04-23 11:09 Vincent Snijders LazTarget - => 1.0
2009-04-23 11:09 Vincent Snijders Target Version => 1.0.0
2010-12-19 18:35 Martin Friebe Fixed in Revision => 28769
2010-12-19 18:35 Martin Friebe Status assigned => resolved
2010-12-19 18:35 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-12-19 18:35 Martin Friebe Resolution open => fixed
2010-12-19 18:35 Martin Friebe Note Added: 0044388
2010-12-19 18:36 Martin Friebe Target Version 1.0.0 => 0.9.30
2010-12-20 00:39 Alexander S. Klenin Status resolved => closed
2010-12-20 00:39 Alexander S. Klenin Note Added: 0044398